

**表1  进口消费比例与国产品进口中间品含量
**表2  UHS项目最终品与中间关税变化
use data_match1,clear 
merge m:1 wiod using data_wiod,keep(match) nogen
//weight1
bysort uhs:egen sum1=sum(imp)
gen w1=imp/sum1
//tfinal
gen temp=tfinal_wiod*w1
by uhs:egen tfinal=sum(temp)
drop temp tfinal_wiod
//tinput
gen temp=tinput_wiod*w1
bysort uhs:egen tinput=sum(temp)
drop temp   sum1
//tw产品ω在生产过程中所使用的进口中间品的加权平均关税下降幅度
gen temp=(tinput_wiod/ip)*w1
bysort uhs:egen tw=sum(temp)
drop temp 
//tinputd:稳健性检验中使用
gen temp=(tinput_d)*w1
bysort uhs:egen tinputd=sum(temp)
drop temp 
//weight2
gen sd_wiod=1-sm_wiod
bysort uhs:egen sum2=sum(output)
gen w2=output/sum2
//SM
gen temp=sm_wiod*w2
by uhs:egen SM=sum(temp)
drop temp sum2 	sm_wiod
//SD
gen temp=sd_wiod*w2
by uhs:egen SD=sum(temp)
drop temp  	sd_wiod
//IP
gen temp=ip_wiod*w2
by uhs:egen IP=sum(temp)
drop temp  ip_wiod
keep uhs_cn  gs uhs tfinal tinput  tw SM SD IP	tinputd
duplicates drop 
merge 1:1 uhs using data_uhsref.dta,nogen
//data_uhsref：编码1，涵盖145中产品
merge 1:1 uhs using data_uhsref2.dta,nogen
//data_uhsref2：编码2，涵盖105中产品，不含服务

******表1（1）（2）******
gsort -SM
list uhs_cn SM in 1/20,clean
//为节省篇幅对性质相同的产品进行合并处理，以下均同
//将“家用电脑”“组合音响”“电子辞典”“ 彩色电视机”合并为“电视、电脑等文娱家电”
//将“其他通信工具”“移动电话机”“电话机”合并为“通信工具”
//“其他燃料”即“家用其他燃料”
list uhs_cn SM in -20/l,clean
//将“家教费”“非义务教育学杂费”“成人教育费”“义务教育学杂费”“其他教育费用”“培训班”合并为“教育费用”

******表1（3）（4）******
gsort -IP
list uhs_cn IP in 1/30,clean
//将“其他通信工具”“移动电话机”“电话机”合并为“通信工具”
//将“家用电脑”“组合音响”“照相机”“摄像机”“电子辞典”“ 彩色电视机”合并为“电视、电脑等文娱家电”
//将“洗碗机”“消毒碗柜”“电冰箱”“微波炉”合并为“家用厨房电器”
//将“洗衣机”“其他家庭设备”合并为“洗衣机等家务设备”
list uhs_cn IP in -30/l,clean
//将“鲜菜”“鲜果”“鲜瓜”“其他干鲜瓜果”合并为“干鲜瓜果”
//将“羊肉”“其他肉制品”“猪肉”“牛肉”“鸭”“鸡”“其他禽类及其制品”合并为“肉制品”
//将“其他粮食及其制品”“淀粉及薯类”“干豆类及豆制品”合并为“粮食及其制品”
******表2（1）（2）******
preserve
keep if tfinal != 0
gsort tfinal
list uhs_cn tfinal in 1/30,clean
//将“其他饮料”“蛋制品”“糖类”“菜制品”“茶叶”“糕点”“瓶装饮用水”“面粉”“啤酒”“果酒”“其他酒”“其他奶制品”“其他食品”“大米”“食用植物油”“酸奶”“白酒”“调味品”“奶粉”“干菜”“食用动物油”“烟草”“碳酸饮料”合并为“粮油、饮料等食品”
//将“虾”“鱼”“其他水产品及制品”合并为“鱼、虾等水产品及制品”
list uhs_cn tfinal in -30/l ,clean
//将“课本以及参考书”“其他教材”合并为“课本、参考书等教材”
//将“书报杂志”“音像制品及软件”合并为“音像制品、书报杂志”
restore
******表2（3）（4）******
gsort tw
list uhs_cn tw  in 1/20,clean
list uhs_cn tw  in -20/l,clean
//“燃料”即为“汽车燃料”
//将“电”“其他相关支出（水电燃料）”“液化石油气”“管道煤气”合并为“水电燃料等”
save data_uhs,replace
