*****************************************************
*****************************************************
*****************************************************
**************机制分析1：直接效应********************
//对数据预处理
local varlist SM   tfinal  
foreach var in `varlist' {
    use data_uhs, clear
    keep if gs == 1
    sort ref_goods
    keep `var'
    xpose, clear
    renvarlab v*, subst(v `var')
    gen m = "pipei"
    save temp\temp_`var'2.dta, replace
}

use uhs2.dta,replace //只包含105项商品的家户支出数据
merge m:1 m using temp\temp_tfinal2.dta,nogen	
merge m:1 m using temp\temp_SM2.dta,nogen	
aorder
forv i=1/105 {
	gen aw_SM`i'=shareg`i'*SM`i'
	gen aw_t`i'=shareg`i'*tfinal`i'
	} 	
aorder
egen aw_SM=rowtotal(aw_SM1-aw_SM105)	
egen aw_t=rowtotal(aw_t1-aw_t105)	
replace lamda_T=lamda_T*100
replace aw_SM=aw_SM*100
replace aw_t=aw_t*100
replace aw_t=abs(aw_t)
save results\DirectEffect.dta,replace


**图2 不同收入组可贸易品消费比例、可贸易品直接进口份额与最终品关税降幅
use results\DirectEffect.dta,replace
xtile group=logincome,nq(10)	
keep group lamda_T aw_t aw_SM 
bysort group:egen lamda_Tm=mean(lamda_T)
bysort group:egen aw_SMm=mean(aw_SM)
bysort group:egen aw_tm=mean(aw_t)
drop lamda_T aw_t aw_SM 
duplicates drop
list, clean
save results/图2.dta,replace


**附录表A1  直接效应机制
use results\DirectEffect.dta,replace
reghdfe lamda_T logincome pop age age_sqr edu, absorb(cityid) 
est store l1
reghdfe lamda_T income2-income4 pop age age_sqr edu, absorb(cityid) 
est store l2
reghdfe aw_SM logincome pop age age_sqr edu, absorb(cityid) 
est store l3
reghdfe aw_SM income2-income4 pop age age_sqr edu, absorb(cityid) 
est store l4
reghdfe aw_t logincome pop age age_sqr edu, absorb(cityid) 
est store l5
reghdfe aw_t income2-income4 pop age age_sqr edu, absorb(cityid) 
est store l6
esttab l1 l2 l3 l4 l5 l6 /// 
using  results\表A1.rtf , ///
b(%9.3f) se mtitle(l1 l2 l3 l4 l5 l6 ) /// 
obslast star (* 0.1 ** 0.05 *** 0.01) scalars(r2_a N F) nogap compress  replace


**图3 各类商品直接进口份额与消费者收入的关系
use data_scatter1.dta,clear
twoway scatter SM aw_income, ///
    mlabel(uhs_add) mlabposition(12) || ///
    lfit SM aw_income_g41, ///
    xtitle("平均收入") ///
    ytitle("进口消费比例") ///
    scheme(s2mono)
graph save "Graph" "results\图3.gph",replace