*****************************************************
*****************************************************
*****************************************************
**************机制分析2：间接效应********************

use uhs1,clear
merge m:1 m using temp\temp_SD.dta,nogen
merge m:1 m using temp\temp_IP.dta,nogen
merge m:1 m using temp\temp_tw.dta,nogen
aorder
forv i=1/145 {
gen aw_SD`i'=share`i'*SD`i'
	gen aw_IP`i'=share`i'*IP`i'
	gen aw_tinput`i'=share`i'*tw`i'
	} 
aorder
egen aw_SD=rowtotal(aw_SD1-aw_SD145)
egen aw_IP=rowtotal(aw_IP1-aw_IP145)
egen aw_tinput=rowtotal(aw_tinput1-aw_tinput145)
xtile group=logincome,nq(10)
replace aw_SD=aw_SD*100
replace aw_IP=aw_IP*100
replace aw_tinput=aw_tinput*100
replace aw_tinput=abs(aw_tinput)
save results/IndirectEffect.dta,replace

//图4 不同收入组的国产品消费份额、国产品进口中间品含量与中间品关税降幅
use results/IndirectEffect.dta,replace	
keep group aw_SD aw_IP aw_tinput
bysort group:egen aw_SDm=mean(aw_SD)
bysort group:egen aw_IPm=mean(aw_IP)
bysort group:egen aw_tinputm=mean(aw_tinput)
drop aw_SD aw_IP aw_tinput
duplicates drop	
list, clean
save results/图4.dta,replace

//表A2  间接效应机制
use results/IndirectEffect.dta,replace	
reghdfe aw_SD logincome pop age age_sqr edu, absorb(cityid) 
est store l1
reghdfe aw_SD income2-income4 pop age age_sqr edu, absorb(cityid) 
est store l2
reghdfe aw_IP logincome pop age age_sqr edu, absorb(cityid) 
est store l3
reghdfe aw_IP income2-income4 pop age age_sqr edu, absorb(cityid) 
est store l4
reghdfe aw_tinput logincome pop age age_sqr edu, absorb(cityid) 
est store l5
reghdfe aw_tinput income2-income4 pop age age_sqr edu, absorb(cityid) 
est store l6
esttab l1 l2 l3 l4 l5 l6 using results\表A2.rtf ,b(%9.3f) se mtitle(l1 l2 l3 l4 l5 l6 ) obslast star (* 0.1 ** 0.05 *** 0.01) scalars(r2_a N F) nogap compress  replace



//图5  国产品进口中间品含量与消费者收入的关系
use data_scatter2.dta,clear 
twoway /// 
    (scatter IP aw_income if gs==1, mlabel(uhs_add)) /// 
    (lfit IP aw_income if gs==1) ///
    (scatter IP aw_income if gs==0, mlabel(uhs_add)) /// 
    (lfit IP aw_income if gs==0) /// 
    (lfit IP aw_income)  , ///
    xtitle("平均收入") ///
    ytitle("进口中间品含量") ///
    scheme(s2mono) ///
    legend(order(1 "商品" ///
                 2 "商品" ///
                 3 "服务" ///
                 4 "服务" ///
                 5 "全部"))
graph save "Graph" "results\图4.gph",replace