

**福利计算
//对data_uhs中的变量进行预处理
local varlist SM SD IP  tfinal tinput tw tinputd 
foreach var in `varlist' {
    use data_uhs, clear
    sort ref
    keep `var'
    xpose, clear
    renvarlab v*, subst(v `var')
    gen m = "pipei"
    save temp\temp_`var'.dta, replace
}


use uhs1,clear
merge m:1 m using temp\temp_SM.dta,nogen
merge m:1 m using temp\temp_SD.dta,nogen
merge m:1 m using temp\temp_IP.dta,nogen
merge m:1 m using temp\temp_tinput.dta,nogen
merge m:1 m using temp\temp_tfinal.dta,nogen
aorder
forv i=1/145 {
		gen direct`i'=-share`i'*SM`i'*tfinal`i'
		//直接效应=SMW*siw*final，公式(8)第一项
	} 
aorder
egen direct=rowtotal(direct1-direct145)	
forv i=1/145 {
		gen indirect`i'=-share`i'*SD`i'*tinput`i'
		//间接效应,公式(8)第二项
		}
aorder
egen indirect=rowtotal(indirect1-indirect145)	
gen welfare=direct+indirect
xtile group=logincome,nq(10)
replace welfare=welfare*100 //百分数
replace direct=direct*100
replace indirect=indirect*100
save results/Welfare.dta,replace

**图1数据不同收入组的福利总效应（区分直接效应与间接效应）
use results/Welfare.dta,replace	
keep group welfare direct indirect
bysort group:egen wm=mean(welfare)
bysort group:egen dm=mean(direct)
bysort group:egen im=mean(indirect)
drop welfare direct indirect
duplicates drop
list, clean
save results/图1.dta,replace

**表3  福利变动与家户人均收入的关系
use results/Welfare.dta,replace	
reghdfe welfare logincome pop age age_sqr edu, absorb(cityid) 
est store l1
reghdfe welfare income2-income4 pop age age_sqr edu, absorb(cityid) 
est store l2
reghdfe direct logincome pop age age_sqr edu, absorb(cityid) 
est store l3
reghdfe direct income2-income4 pop age age_sqr edu, absorb(cityid) 
est store l4
reghdfe indirect logincome pop age age_sqr edu, absorb(cityid) 
est store l5
reghdfe indirect income2-income4 pop age age_sqr edu, absorb(cityid) 
est store l6	
esttab l1 l2 l3 l4 l5 l6 using results\表3.rtf ,b(%9.3f) se mtitle(l1 l2 l3 l4 l5 l6 ) obslast star (* 0.1 ** 0.05 *** 0.01) scalars(r2_a N F) nogap compress  replace




